Bug 522279 - text mode consoles don't work with KMS on R200 using the testday-20090909-x86_64 ISO
Summary: text mode consoles don't work with KMS on R200 using the testday-20090909-x86...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-09 23:56 UTC by Nicholas Miell
Modified: 2018-04-11 15:58 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-12 08:06:07 UTC


Attachments (Terms of Use)
dmesg (with KMS) (51.55 KB, text/plain)
2009-09-09 23:56 UTC, Nicholas Miell
no flags Details
Xorg.0.log with KMS (70.48 KB, text/plain)
2009-09-09 23:57 UTC, Nicholas Miell
no flags Details
dmesg (with KMS, drm.debug=1) (34.52 KB, text/plain)
2009-09-09 23:58 UTC, Nicholas Miell
no flags Details
Xorg.0.log (with KMS, drm.debug=1) (70.49 KB, text/plain)
2009-09-09 23:58 UTC, Nicholas Miell
no flags Details
/var/log/messages (with KMS, drm.debug=1) (136.83 KB, text/plain)
2009-09-09 23:59 UTC, Nicholas Miell
no flags Details
Xorg.0.log (with nomodeset) (80.46 KB, text/plain)
2009-09-10 00:00 UTC, Nicholas Miell
no flags Details

Description Nicholas Miell 2009-09-09 23:56:36 UTC
Created attachment 360371 [details]
dmesg (with KMS)

Description of problem:
Text mode consoles display nothing when using KMS.

(Perhaps due to using a monitor with a bad EDID?)

Version-Release number of selected component (if applicable):
Whatever's on the testday-20090909-x86_64 image

How reproducible:
Always

Steps to Reproduce:
1. Boot the test CD

  
Actual results:
Watch a couple lines of kernel text appear, and then nothing at all until X starts. Booting into runlevel 3 gives nothing at all, but blindly logging in and running startx will start X.

Expected results:
Text mode consoles work.

Additional info:
http://www.smolts.org/client/show/pub_a5d07af1-0e5e-4bb1-b6cb-5d02feaf0891
01:00.0 VGA compatible controller: ATI Technologies Inc Radeon R200 QH [Radeon 8500] (rev 80)
Monitor with a the bad EDID is a ViewSonic E70fb (manufactured September 2003)
Monitor with the valid EDID is a ViewSonic 14ES (manufactured August 1995)

Comment 1 Nicholas Miell 2009-09-09 23:57:38 UTC
Created attachment 360373 [details]
Xorg.0.log with KMS

Comment 2 Nicholas Miell 2009-09-09 23:58:15 UTC
Created attachment 360374 [details]
dmesg (with KMS, drm.debug=1)

Comment 3 Nicholas Miell 2009-09-09 23:58:59 UTC
Created attachment 360375 [details]
Xorg.0.log (with KMS, drm.debug=1)

Comment 4 Nicholas Miell 2009-09-09 23:59:30 UTC
Created attachment 360376 [details]
/var/log/messages (with KMS, drm.debug=1)

Comment 5 Nicholas Miell 2009-09-10 00:00:20 UTC
Created attachment 360377 [details]
Xorg.0.log (with nomodeset)

Comment 6 Matěj Cepl 2009-11-05 17:15:40 UTC
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages (at least F12Beta, but even better if the very latest versions).

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]

Comment 7 Jérôme Glisse 2009-11-12 08:06:07 UTC
It works here with all the lastest component. I am closing this bug if you still have the issue with recent kernel like -127 then reopen the bug.


Note You need to log in before you can comment on or make changes to this bug.